Bug 590389 - sosreport does not gather RHN Proxy squid logs
Summary: sosreport does not gather RHN Proxy squid logs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos   
(Show other bugs)
Version: 5.5
Hardware: All Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Bryn M. Reeves
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 749262
TreeView+ depends on / blocked
 
Reported: 2010-05-09 10:21 UTC by Jeff Bastian
Modified: 2011-10-26 15:17 UTC (History)
6 users (show)

Fixed In Version: sos-1.7-9.52.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 749262 (view as bug list)
Environment:
Last Closed: 2011-07-21 07:59:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1028 normal SHIPPED_LIVE sos bug fix and enhancement update 2011-07-20 15:44:15 UTC

Description Jeff Bastian 2010-05-09 10:21:41 UTC
Description of problem:
The rhn plugin for sos does not gather the squid logs on an RHN proxy server.

It detects if a server is a proxy by checking if the rhns-proxy-tools RPM is installed:
         self.proxy = self.isInstalled("rhns-proxy-tools")

This package is obsolete.  See bug 465947 and
  https://www.redhat.com/archives/spacewalk-devel/2009-January/msg00206.html


Version-Release number of selected component (if applicable):
sos-1.9-1.55.noarch

How reproducible:
every time

Steps to Reproduce:
1. on RHN proxy server, run 'sosreport -e rhn'
2. examine sos for squid logs
  
Actual results:
no squid logs

Expected results:
include squid logs

Additional info:

Comment 1 Adam Stokes 2010-05-11 16:59:41 UTC
What are the proper packages to check for with satellite and proxy these days?

Thanks,
Adam

Comment 2 Xixi 2010-05-11 19:31:55 UTC
(In reply to comment #1)
> What are the proper packages to check for with satellite and proxy these days?
spacewalk-proxy-management (for RHN Proxy 5.3) 
or 
rhn-proxy-management (for pre 5.3 proxies)

spacewalk-java (for RHN Satellite 5.3)
or
rhn-base (for pre-5.3 satellites)

Thanks,

Xixi

Comment 6 Bryn M. Reeves 2011-01-14 16:12:00 UTC
Would a satellite-debug (or equivalent for proxy) include this information by default (or with the correct incantation)?

See bug 495217 - this is a request for more data to be collected by the rhn plugin but if we can satisfy all these requests via satellite-debug then that simplifies the sos changes & future maintenance.

Comment 13 errata-xmlrpc 2011-07-21 07:59:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-1028.html


Note You need to log in before you can comment on or make changes to this bug.